Bug 465752 - (CVE-2008-4360) CVE-2008-4360 lighttpd: mod_userdir information disclosure on case-insensitve filesystems
CVE-2008-4360 lighttpd: mod_userdir information disclosure on case-insensitve...
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=osssecurity,reported=20080930,...
: Security
Depends On: 464638 464639 464640 464641
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-06 04:51 EDT by Tomas Hoger
Modified: 2009-04-09 13:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-09 13:46:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-10-06 04:51:32 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-4360 to the following vulnerability:

mod_userdir in lighttpd before 1.4.20, when a case-insensitive operating system
or filesystem is used, performs case-sensitive comparisons on filename
components in configuration options, which might allow remote attackers to
bypass intended access restrictions, as demonstrated by a request for a .PHP
file when there is a configuration rule for .php files.

Affected versions:
all versions before 1.4.20 (1.5 before r2308)

Upstream advisory:
http://www.lighttpd.net/security/lighttpd_sa_2008_06.txt

Upstream bug report:
http://trac.lighttpd.net/trac/ticket/1589

Upstream patches (1.4.x):
http://www.lighttpd.net/security/lighttpd-1.4.x_userdir_lowercase.patch
http://trac.lighttpd.net/trac/changeset/2283

References:
http://openwall.com/lists/oss-security/2008/09/30/1
Comment 1 Tomas Hoger 2008-10-06 05:01:42 EDT
Patch is already part of lighttpd-1.4.20-0.1.r2303.fc10 currently in Rawhide.
Comment 2 Fedora Update System 2008-12-26 09:15:50 EST
lighttpd-1.4.20-6.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/lighttpd-1.4.20-6.fc9
Comment 3 Fedora Update System 2008-12-26 09:17:07 EST
lighttpd-1.4.20-6.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/lighttpd-1.4.20-6.fc8
Comment 4 Matthias Saou 2009-04-09 13:46:01 EDT
Forgot to close this report. Closing now, as 1.4.22 is being pushed to F-9+.

Note You need to log in before you can comment on or make changes to this bug.